;
; Creation par AC le 10/05/2005 Paris
;
; Fonctionnalite:
;
; Ce programme permet de switcher facilement entre
; la fonction interne a IDL Wmenu qui n'est dispo que sous X,
; et la fonction AC_Umenu emulant Wmenu sous MS-win.
;
; NB: si Wmenu, reputee obsolescente, venait a disparaitre,
; soit on irait tjrs vers AC_Umenu, soit on remplacerait le tout
; par des Widgets. (Idem pour GDL ?)
;
; -------------------------------------------
; Historique des modifications:
;
; -------------------------------------------
;
function AC_WMENU, liste_choix, title=title, init=init, $
                   debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('AC_WMENU')
;
if (N_PARAMS() lt 1) then begin
    print, mess.fatal+'missing arguments'
    help=1
endif
;
if KEYWORD_SET(help) then begin
    print, 'function AC_WMENU, liste_choix, title=title, init=init, $'
    print, '             display=display, bavard=bavard, $'    
    print, '             debug=debug, test=test, help=help'
    return, -1
endif
;
; on gere Debug car il sert a tester les 2 options
;
if (N_ELEMENTS(debug) EQ 0) then debug=0
;
if ((!d.name eq 'WIN') OR (debug EQ 1)) then begin
    flag=0
    if (N_ELEMENTS(title) EQ 1) then begin
        if (title EQ 0) then begin
            titre=liste_choix(0)
            liste_choix=liste_choix[1:*]
            flag=1
        endif else begin
            ;; cas non gere
            print, mess.warning+$
              'unespected case. Take care ! (and report Bug !)'
        endelse
    endif else begin
        titre=''
    endelse
    reponse=AC_UMENU(liste_choix, titre=titre, init=init)
    if (flag EQ 1) then reponse=reponse+1
    ;; court-circuit SSI debug==1 (sinon, pb)
    if (debug EQ 1) then return, reponse
endif
;
if ((!d.name eq 'X') OR (debug EQ 2)) then begin
    reponse=WMENU(liste_choix, title=title, init=init)
endif
;
if KEYWORD_SET(debug) then begin
    HELP
endif
;
if KEYWORD_SET(test) then STOP
;
return, reponse
;
end
;
