;
; AC, refonte le 10/11/2003 pour Astro-F
;
; Commentaires: Ceci est tout sauf general :
; ca manque de tests pour differents environnements (8/16/24b ...)
; mais je ne sais pas faire, et je n'ai pas trouve dans la doc IDL ...
;
; Warning : This is working ONLY for TrueColor displays/24bits
;
pro AC_COLORS_INIT, table_number=table_number, $
                    help=help, test=test, display=display, info=info
;
mess=AC_SETMESSAGES('AC_COLORS_INIT')
;
if KEYWORD_SET(help) then begin
    print, 'pro AC_COLORS_INIT, table_number=table_number, $'
    print, '                 help=help, test=test, display=display, info=info'
    print, ''
    print, 'This procedure initializes a list of standard predefinided colors'
    print, 'The shortcuts for those predefined colors are:'
    print, '!col_b (blue), !col_g (green), !col_o (orange), !col_y (yellow)'
    print, '!col_r (red), !col_d (dark==>black), !col_w (white)'
    print, ''
    print, 'It must be run after AC_DISPLAY_INIT'
    print, ''
    print, 'CALLING SEQUENCE : AC_COLORS_INIT'
    return
endif
;
; we check that the screen has 24 bits capabilities
; and is well setup (supposed to be done in ")
;
if (!D.N_COLORS NE 16777216L) then begin
    print, mess.warning+"!D.N_COLORS is ==", !D.N_COLORS
    print, mess.warning+"the device is NOT TrueColor displays/24bits"
    print, mess.warning+"predefined colors will not be OK !"
endif else begin
    if KEYWORD_SET(test) OR KEYWORD_SET(info) then begin
        print, mess.info+"the device is TrueColor displays/24bits"
    endif
endelse
;
;AC_VERSIONS_OPTIONS
;if (!version.os EQ 'linux') then begin	
;    print, 'Warning in ".idl_startup" : options for linux activated'
;    DEVICE, TRUE=24, DECOMPOSED=0, retain=2
;endif
;
; si on ne precise pas de table de couleurs, je choisis la table Rainbow (39) 
; ce qui correspond d'ailleur aux alias definis ci-dessous ...
;
if (N_ELEMENTS(table_number) NE 1) then begin
    table_number=39
endif
if (table_number LT 0) OR (table_number GT 40) then begin
    print, mess.warning+'"table_number" out of range, reset to default !'
    table_number=39
endif
;
LOADCT, table_number
;
; je predefinis qlq couleurs utiles
;
DEFSYSV, '!col_b', 52    ; this is "blue"
DEFSYSV, '!col_g', 168   ; this is "green"
DEFSYSV, '!col_o', 216   ; this is "orange" 
DEFSYSV, '!col_y', 190   ; this is "yellow" 
DEFSYSV, '!col_r', 252   ; this is "red"
DEFSYSV, '!col_d', 0     ; this is "black (dark)"
DEFSYSV, '!col_w', 255   ; this is "white"
;
if KEYWORD_SET(info) then begin
    print, mess.info+'The shortcuts for predefined colors are:'
    print, '!col_b (blue), !col_g (green), !col_o (orange), !col_y (yellow)'
    print, '!col_r (red), !col_d (dark==>black), !col_w (white)'
endif
;
if KEYWORD_SET(test) OR KEYWORD_SET(display) then begin
    AC_COLORS_TEST
endif
;
if KEYWORD_SET(test) then STOP
;
end
